NameError in WelcomeController#index during setup

Added by Brad Mace over 11 years ago

I've been trying to get this set up since Friday. I've got the rails 'Welcome Aboard' page working, now I'm trying to get redmine with sqlite3 running.

When going to the test page I get

NameError in WelcomeController#index

uninitialized constant CGI::Session

/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:105:in `rescue in const_missing'
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:94:in `const_missing'
/var/www/redmine/app/controllers/application_controller.rb:25:in `'
/var/www/redmine/app/controllers/application_controller.rb:21:in `'
/var/www/redmine/app/controllers/welcome_controller.rb:18:in `'

This is my first time with ruby, rails, or any of it, and it's just tired of fighting with it.

script/about output

Ruby version 1.9.1 (i686-linux)
RubyGems version 1.3.4
Rack version 1.0 bundled
Rails version 2.3.2
Active Record version 2.3.2
Action Pack version 2.3.2
Active Resource version 2.3.2
Action Mailer version 2.3.2
Active Support version 2.3.2
Application root /var/www/redmine
Environment development
Database adapter sqlite3
Database schema version 20090503121510

Replies (3)

RE: NameError in WelcomeController#index during setup - Added by Ken Sands over 11 years ago

I'm having the same issue trying the latest version from svn with mysql 5.4 and the latest rails version, however it works if you comment out the check in application_controller.rb as below

#rescue_from ActionController::Session::CookieStore::TamperedWithCookie do |exception|
  1. render :text => 'Your session was invalid and has been reset. Please, reload this page.', :status => 500
    #end

RE: NameError in WelcomeController#index during setup - Added by Ken Sands over 11 years ago

all three of those lines are supposed to appear commented... I dunno where the 1. came from

RE: NameError in WelcomeController#index during setup - Added by Eric Davis over 11 years ago

Brad Mace wrote:

Ruby version 1.9.1 (i686-linux)

Rails version 2.3.2

Redmine isn't compatible with Rails 2.3.2 or Ruby 1.9.1. Check RedmineInstall for the correct versions to use.

Eric

(1-3/3)